@use "@/theme/base.scss";

.table {
  @include base.elevated-box;
  color: var(--color);
  max-width: 800px;
  margin: calc(2 * var(--spacing)) auto;
}

.top3 {
  color: var(--primary-inverse);
  font-size: 1.15rem;
  td {
    font-weight: bold;
  }
}

.placement {
  text-align: right;
  white-space: nowrap;
}

.rankings {
  font-weight: lighter;
}

.score {
  font-family: var(--font-family-mono);
  color: var(--contrast-muted);
}

.score.wins[data-netpositive="true"] {
  color: var(--primary);
  font-weight: bold;
}

.score.losses[data-netpositive="false"] {
  color: var(--bright);
  font-weight: bold;
}
